Package org.apache.maven.scm.provider.git.gitexe.command

## Class GitCommandLineUtils

- java.lang.Object
- - org.apache.maven.scm.provider.git.gitexe.command.GitCommandLineUtils

    public final class GitCommandLineUtils
    extends java.lang.Object

Command line construction utility.

Author:
  Brett Porter, Mark Struberg

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addTarget​(org.codehaus.plexus.util.cli.Commandline cl, java.util.List<java.io.File> files)`
`static int` `execute​(org.codehaus.plexus.util.cli.Commandline cl, org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stdout, org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stderr, ScmLogger logger)`
`static int` `execute​(org.codehaus.plexus.util.cli.Commandline cl, org.codehaus.plexus.util.cli.StreamConsumer consumer, org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stderr, ScmLogger logger)`
`static org.codehaus.plexus.util.cli.Commandline` `getBaseGitCommandLine​(java.io.File workingDirectory, java.lang.String command)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### addTarget

    public static void addTarget​(org.codehaus.plexus.util.cli.Commandline cl,
                                 java.util.List<java.io.File> files)

#### getBaseGitCommandLine

    public static org.codehaus.plexus.util.cli.Commandline getBaseGitCommandLine​(java.io.File workingDirectory,
                                                                                 java.lang.String command)

Parameters:
  `workingDirectory` -
  `command` -
Returns:

#### execute

    public static int execute​(org.codehaus.plexus.util.cli.Commandline cl,
                              org.codehaus.plexus.util.cli.StreamConsumer consumer,
                              org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stderr,
                              ScmLogger logger)
                       throws ScmException

Throws:
  `ScmException`

#### execute

    public static int execute​(org.codehaus.plexus.util.cli.Commandline cl,
                              org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stdout,
                              org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer stderr,
                              ScmLogger logger)
                       throws ScmException

Throws:
  `ScmException`